# PContainerReference Class Reference

`#include <contain.h>`

List of all members.

## Public Member Functions

__inline | PContainerReference (PINDEX initialSize, bool isConst=false)
__inline | PContainerReference (const PContainerReference &ref)
| PDECLARE_POOL_ALLOCATOR ()

## Public Attributes

PINDEX | size
PAtomicInteger | count
bool | deleteObjects
bool | constObject

## Constructor & Destructor Documentation

__inline PContainerReference::PContainerReference | ( | PINDEX | initialSize,
|  | bool | isConst = `false` |
| ) |  |  | `[inline]`

__inline PContainerReference::PContainerReference | ( | const PContainerReference & | ref | ) | `[inline]`

## Member Function Documentation

PContainerReference::PDECLARE_POOL_ALLOCATOR | ( |  | ) |

## Member Data Documentation

bool PContainerReference::constObject

PAtomicInteger PContainerReference::count

bool PContainerReference::deleteObjects

PINDEX PContainerReference::size

The documentation for this class was generated from the following file:

- contain.h